# Copyright 2026 Helmut Grohne <helmut@subdivi.de>
# SPDX-License-Identifier: LGPL-2.0-or-later


import typing

from . import low_level


class DBusAddress:
    def __init__(
        self,
        object_path: str,
        bus_name: str | None = None,
        interface: str | None = None,
    ): ...


def new_method_call(
    remote_obj: DBusAddress,
    method: str,
    signature: str,
    body: tuple[typing.Any, ...],
) -> low_level.Message: ...


def unwrap_msg(message: low_level.Message) -> typing.Any: ...
